function CMapToolTip(out_class_name)
{
	var me=this;
	
	var IsIE=window.navigator.appName=="Microsoft Internet Explorer"?1:0;
	
	var out_div=document.createElement('DIV');
	out_div.style.position='absolute';
	out_div.style.display='none';
	out_div.className=out_class_name;
	
	document.body.appendChild(out_div);
	
	//me.init();
	
	CMapToolTip.prototype.MouseMove=function(e)
	{
		me.ShowTip(this.pTitle,this.pText,e);
	}
	CMapToolTip.prototype.MouseOut=function()
	{
		out_div.style.display='none';
	}
	CMapToolTip.prototype.ShowTip=function(pTitle,pText,e)
	{
		var x,y;
		
		if (IsIE)
		{
			x=window.event.x+document.documentElement.scrollLeft;
			y=window.event.y+document.documentElement.scrollTop;
		}
		else
		{
			y=e.pageY;
			x=e.pageX;
			//y+=30;
		}
		x+=20;
		y+=20;
		
		out_div.style.left=x.toString()+'px';
		out_div.style.top=y.toString()+'px';
		if(out_div.style.display!='block')
		{
			out_div.innerHTML='<div class="title">'+pTitle+'</div><div class="text">'+pText+'</div>';
			out_div.style.display='block';
		}		
	}
	CMapToolTip.prototype.init=function()
	{
		var yy=document.body.getElementsByTagName('MAP');
		var y;
		for(var i=0;i<yy.length;i++)
		{
			y=yy[i];
		  if (y )
		  {
			var lis = y.getElementsByTagName('AREA');
			var pars=new Array();
			var par;
			var tmp,tmp1;
			for (var i=0; i<lis.length; i++)
			{
				par=lis[i].accessKey;
				if (par!='')
				{
					pars=par.split('~');
					
					lis[i].pTitle=pars[0];
					lis[i].pText=pars[1];
					lis[i].onmousemove=me.MouseMove;
					lis[i].onmouseout=me.MouseOut;
				}
			}
		  }	
		}
	}	
}
var CMapToolTip_Item;
function CMapToolTip_Init()
{
	CMapToolTip_Item=new CMapToolTip("tooltip_item");
	CMapToolTip_Item.init();
}

addEvent(window, 'load', CMapToolTip_Init, false);